/*
 * wlanmodel/typedef.h
 *
 * Copyright (C) 2008-2009 Reto Gantenbein
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __TYPDEF_H
#define __TYPDEF_H

#include <net/ethernet.h>
#include <net/if.h>

/*
 * General parameters
 */
#define HOSTNAME_SIZE   32
#define MAX_MSG_SIZE    (1500 + sizeof(ether_header))

/*
 * General functions
 */
#define max(a, b) ((a) > (b) ? (a) : (b))
#define abs(a) ((a) < 0 ? (a * -1) : (a))

/*
 * Data types
 */
typedef unsigned char mac_addr [6];
typedef unsigned char host_id [13];
typedef char RAWPACKET [MAX_MSG_SIZE];

#endif
